
.stage-partners .partner-tag, .ft-row h4, .ft-row h2, .stage-dates .stage-timing-row .time-wrapper, .stage-dates .stage-timing-row .day-wrapper, h3, h2, h1 {
  font-family: "Amiko", sans-serif;
}

p {
  font-family: "Roboto", sans-serif;
}

h1 {
  line-height: 5rem;
  font-weight: 400;
  font-size: 4.875rem;
}
@media (min-width: 360px) and (max-width: 576px) {
  h1 {
    font-size: 3.28125rem !important;
    line-height: 3.75rem;
  }
}
@media (min-width: 768px) {
  h1 {
    font-size: 3.90625rem;
    line-height: 4.375rem;
  }
}
@media (min-width: 1200px) {
  h1 {
    font-size: 4.875rem;
    line-height: 5rem;
  }
}

h2 {
  line-height: 3.625rem;
  font-weight: 500;
  text-transform: none;
  font-size: 3.5rem;
}
@media (min-width: 360px) and (max-width: 576px) {
  h2 {
    font-size: 2.5rem;
    line-height: 3.125rem;
  }
}

h3 {
  font-weight: 500;
  text-transform: none;
}
@media (min-width: 768px) {
  h3 {
    font-size: 1.875rem;
    line-height: 2.25rem;
  }
}
@media (min-width: 992px) {
  h3 {
    font-size: 2rem;
    line-height: 2.5rem;
  }
}
@media (min-width: 1200px) {
  h3 {
    font-size: 3rem;
    line-height: 3.25rem;
  }
}

p {
  font-size: 1.125rem;
  font-weight: 400;
  line-height: 1.5625rem;
  letter-spacing: 0.007rem;
}
p b {
  font-weight: inherit;
  color: #000;
}

.lounges-hero {
  position: relative;
}
.lounges-hero h1 {
  text-transform: none;
  font-weight: 500;
  position: relative;
  z-index: 1;
  font-size: 2rem;
  color: #2323E7;
  line-height: 100%;
}
@media (min-width: 768px) {
  .lounges-hero h1 {
    font-size: 3.375rem;
  }
}
.lounges-hero p {
  color: #000;
  font-family: "Roboto", sans-serif;
  font-size: 18px;
  font-weight: 400;
  line-height: 27px;
  letter-spacing: -0.009em;
}
@media (max-width: 767px) {
  .lounges-hero::before {
    content: "";
    display: block;
    position: absolute;
    background-image: url(../assets/images/2024/elevate-festival-lounges-mobile-content-right-corner-bg.svg);
    width: 30%;
    right: 0;
    height: 30%;
    background-repeat: no-repeat;
    top: -3.5rem;
    background-size: contain;
    z-index: 2;
  }
}
@media (max-width: 576px) {
  .lounges-hero::after {
    content: "";
    display: block;
    position: absolute;
    background-image: url(../assets/images/2024/elevate-festival-lounges-mobile-content-bottom-right-corner-bg.svg);
    width: 31px;
    right: 0;
    height: 88px;
    background-repeat: no-repeat;
    bottom: -5rem;
    background-size: contain;
    z-index: 2;
  }
}

h2 {
  font-size: 2rem;
  line-height: 1;
  margin-bottom: 0;
}
@media (min-width: 768px) {
  h2 {
    font-size: 3.375rem;
  }
}

.pic-row .intro-copy {
  background: #f6f6f6;
  padding: 100px 40px 50px 40px;
}
.pic-row img {
  position: relative;
  z-index: 1;
}

/*
  .pic-row::after {
    content: "";
    display: block;
    position: absolute;
    background-image: url(../assets/images/2023/elevate-festival-about-hero-elm.svg);
    width: 600px;
    right: -200px;
    height: 100%;
    top: -60px;
    display: block !important;
    background-repeat: no-repeat;
    background-size: contain;
    z-index: 2;
  }
*/
@media (min-width: 768px) {
  .pic-row .intro-copy {
    position: relative;
  }
}
@media (min-width: 768px) and (min-width: 360px) and (max-width: 576px) {
  .pic-row .intro-copy::after {
    left: 0%;
    top: 310px;
  }
}
@media (min-width: 768px) and (min-width: 576px) {
  .pic-row .intro-copy::after {
    left: 0%;
  }
}
@media (max-width: 767px) {
  .pic-row .intro-copy {
    background: #fff;
    padding-left: calc(var(--bs-gutter-x)* 0.5);
    padding-right: calc(var(--bs-gutter-x)* 0.5);
    padding-top: 0px;
    padding-bottom: 0px;
  }
}
@media (max-width: 576px) {
  .lounges-hero h1 {
  font-size: 32px!important;
  font-weight: 700;
  line-height: 32px;
  letter-spacing: -0.009em;
  }
  .lounges-hero p {
  font-size: 16px;
  line-height: 20.8px;
  }
  .pic-row img {
    box-shadow: #F6F6F6 210px 35px;
  }
}

.about-image img {
  width: 100%;
}

.stage-dates {
  position: relative;
  z-index: 3;
  margin-top: 2rem;
}
.stage-dates .stage-timing-row {
  display: flex;
  align-items: flex-end;
  justify-content: space-between;
}
.stage-dates .stage-timing-row .day-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 1rem;
  background-color: #2323E7;
  color: #fff;
  text-transform: none;
  font-weight: 700;
  font-size: 2rem;
  position: relative;
}
@media (min-width: 360px) and (max-width: 576px) {
  .stage-dates .stage-timing-row .day-wrapper:not(.single-date):nth-child(1)::after {
    content: "";
    position: absolute;
    width: 70vw;
    border: 1px solid #2323E7;
    display: block;
    z-index: -1;
    left: 50%;
    height: 90%;
    top: 50%;
  }
  .stage-dates .stage-timing-row .day-wrapper:not(.single-date):nth-child(2) {
    transform: translateX(2rem);
  }
}
@media (min-width: 576px) {
  .stage-dates .stage-timing-row .day-wrapper:after {
    content: "";
    height: 1px;
    background: #2323E7;
    width: 225%;
    position: absolute;
    right: -225%;
    bottom: 1.2rem;
    display: flex;
    min-width: 100%;
    z-index: 0;
  }
}
.stage-dates .stage-timing-row .day-wrapper .day {
  font-weight: 600;
  font-size: 3.8125rem;
  line-height: 3.8125rem;
}
.stage-dates .stage-timing-row .time-wrapper {
  background-color: #fff;
  color: #000;
  font-weight: 700;
  text-transform: none;
  font-size: 1.125rem;
  line-height: 1.125rem;
  border-radius: 8px;
  padding: 0.75rem 1rem;
  min-width: 50%;
  text-align: center;
  box-shadow: 0px 4px 11px rgba(0, 0, 0, 0.25);
  position: relative;
  z-index: 1;
  transform: none;
}
@media (min-width: 360px) and (max-width: 576px) {
  .stage-dates .stage-timing-row .time-wrapper:not(.single-date) {
    transform: translate(-2rem, 5rem);
  }
}

.ft-row {
  position: relative;
  display: flex;
  position: relative;
  color: #fff !important;
}
@media (min-width: 768px) {
  .ft-row .container > .row {
    padding-bottom: 100px;
  }
}
@media (min-width: 768px) {
  .ft-row:before {
    content: "";
    position: absolute;
    background: url(../assets/images/2024/elevate-festival-lounges-content-left-bg.svg) no-repeat;
    bottom: 50%;
    left: -0px;
    z-index: -1;
    background-size: cover;
    height: 224px;
    width: 112px;
  }
  .ft-row:after {
    content: "";
    position: absolute;
    background: url(../assets/images/2024/elevate-festival-lounges-content-right-bg.svg) no-repeat;
    bottom: 0;
    right: 0;
    z-index: -1;
    background-size: cover;
    height: 640px;
    width: 1080px;
  }
  .ft-row .overlay-circle {
    border-radius: 50%;
    width: 400px;
    height: 400px;
    background: #1BCBB6;
    z-index: 7;
    position: absolute;
    transform: translateX(-11px);
  }
  .ft-row .white-circle-elm {
    border-radius: 50%;
    width: 400px;
    height: 400px;
    background: #fff;
    z-index: 1;
    position: absolute;
    right: 130px;
    top: 180px;
  }
}
.ft-row .img-col {
  justify-content: flex-end;
}
.ft-row .img-col img {
  z-index: 1;
  -o-object-fit: contain;
     object-fit: contain;
}
.ft-row h3 {
  position: relative;
}
.ft-row h2 {
  font-size: 2rem;
  z-index: 2;
  position: relative;
}
.ft-row h4 {
  font-size: 1.75rem;
  text-transform: none;
  font-weight: 700;
  border-bottom: 1px solid #FBB315;
  z-index: 1;
}
.ft-row .ft-div {
  position: relative;
  padding-right: 0 !important;
}
.ft-row .ft-div .slide-img img {
  width: 100%;
  margin-top: 2.5rem;
}
.ft-row .ft-div .slide-content {
  position: relative;
}
.ft-row .ft-div .slide-content .inner-content {
  z-index: 1;
  position: relative;
}
.ft-row .ft-div .slide-content:after {
  content: "";
  background-color: #2323E7;
  position: absolute;
  width: 150vw;
  z-index: 0;
  top: -3rem;
  bottom: -1rem;
  z-index: 0;
  right: 0;
}
@media (min-width: 768px) {
  .ft-row .ft-div .slide-content:after {
    right: -140px;
  }
}
.ft-row .ft-slider {
  position: relative;
  overflow: hidden;
  padding-top: 2.3rem;
  padding-bottom: 2.3rem;
  z-index: 8;
}
.ft-row .swiper-wrapper {
  flex-direction: row;
  max-height: initial !important;
}
.ft-row .segment-inner {
  max-width: 75%;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.ft-row .swiper-button-next, .ft-row .swiper-button-prev {
  display: none;
}
@media (min-width: 992px) {
  .ft-row .swiper-button-next, .ft-row .swiper-button-prev {
    display: block;
    color: #2323E7;
    z-index: 1;
    top: 160px !important;
  }
  .ft-row .swiper-button-next:after, .ft-row .swiper-button-prev:after {
    font-size: 4.5rem;
  }
}
@media (min-width: 992px) and (min-width: 992px) {
  .ft-row .swiper-button-next, .ft-row .swiper-button-prev {
    top: 50% !important;
    color: #2323E7;
  }
}
.ft-row .swiper-button-prev {
  left: 10px;
}
.ft-row .swiper-button-next {
  right: 20px;
}
@media (min-width: 992px) {
  .ft-row .swiper-button-next {
    right: -30px;
  }
}
.ft-row .swiper-slide {
  display: flex;
  height: auto;
}
.ft-row .swiper-slide .row {
  width: 100%;
}
@media (min-width: 992px) {
  .ft-row .slide-img {
    position: relative;
    align-items: center;
    justify-content: center;
    -o-object-fit: contain;
       object-fit: contain;
    position: absolute;
    width: 100%;
    right: -48%;
    top: 80px;
    object-fit: contain;
    z-index: 1;
  }
  .ft-row .slide-img img {
    max-width: 530px;
  }
}
@media (max-width: 767px) {
  .ft-row:after {
    content: "";
    position: absolute;
    background: url(../assets/images/2024/elevate-festival-lounges-content-right-bg.svg) no-repeat;
    bottom: 0;
    right: 0;
    z-index: -1;
    background-size: cover;
    height: 331px;
    width: 600px;
  }
}
@media (max-width: 576px) {
  .ft-row:after {
    content: "";
    position: absolute;
    background: url(../assets/images/2024/elevate-festival-lounges-content-right-bg.svg) no-repeat;
    bottom: 0;
    right: 0;
    z-index: -1;
    background-size: cover;
    height: 293px;
    width: 514px;
  }
}

.lounge-slider:not(.swiper-initialized) .swiper-wrapper {
  display: flex;
  flex-direction: column;
}

.pre-footer {
  position: relative;
}
.pre-footer::before {
  content: "";
  display: block;
  position: absolute;
  background-image: url(../assets/images/2023/elevate-festival-late-content-triangle-corner.svg);
  width: 500px;
  background-size: cover;
  right: 0;
  height: 450px;
  top: -319px;
  background-repeat: no-repeat;
  z-index: 0;
}

.stages-wrapper {
  max-width: 1300px;
  margin: auto;
}
.stage-tile-wrapper {
  color: #18181A;
  z-index: 1;
  text-decoration: none;
  position: relative;
  max-width: 353px;
}
.stage-tile-wrapper .stage-tile {
  position: relative;
}
.stage-tile-wrapper .stage-tile:hover {
  cursor: pointer;
}
.stage-tile-wrapper .stage-tile {
  background: #FFF;
  border: 1px solid #2323E7;
  border-radius: 12px;
  display: flex;
  flex-direction: column;
  width: 100%;
}
.stage-tile-wrapper .stage-tile .stage-header.startup-lounge {
  background-image: url(../assets/images/2024/elevate-festival-startup-lounge-bg.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  background-color: #000;
}
.stage-tile-wrapper .stage-tile .stage-header.women-in-tech-lounge {
  background-image: url(../assets/images/2024/elevate-festival-women-in-tech-lounge-bg.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  background-color: #000;
}
.stage-tile-wrapper .stage-tile .stage-header.trailblazer-lounge {
  background-image: url(../assets/images/2024/elevate-festival-trailblazer-lounge-bg.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  background-color: #000;
}
.stage-tile-wrapper .stage-tile .stage-header {
  min-height: 210px;
  border-radius: 12px 12px 0 0;
  color: #fff;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
  text-transform: none;
  padding: 24px;
  font-family: "Amiko", sans-serif;
  font-size: 20px;
  font-weight: 700;
  line-height: 33px;
  letter-spacing: -0.009em;
}

.stage-partners {
  border-top: 1px solid #2323E7;
  border-radius: 0 0 12px 12px;
  padding: 1rem 1.5rem;
  display: grid;
  grid-column-gap: 0px;
  grid-row-gap: 10px;
  min-height: 182px;
  height: 100%;
  align-items: center;
}
.stage-tile-wrapper .stage-tile .stage-partners .partner-sticker {
  background-color: #fff;
  border-radius: 8px;
  padding: 10px 15px;
  box-shadow: 3px 1px 29.4px 0px #0000000D;
  width: 150px;
  height: 85px;
}
.stage-tile-wrapper .stage-tile .stage-partners .partner-tag {
  display: block;
  margin-bottom: 10px;
  padding-bottom: 10px;
  border-bottom: 0.5px solid black;
  font-family: "Roboto", sans-serif;
  font-size: 10px;
  line-height: 10px;
  font-weight: 500;
  letter-spacing: 0.007em;
  text-transform: capitalize;
}
.stage-tile-wrapper .stage-tile .stage-partners .stage-logos {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
}
.stage-tile-wrapper .stage-tile .stage-partners img {
  -o-object-fit: contain;
  object-fit: contain;
  margin-right: 0.75rem;
  width: auto;
  max-height: 26px;
}
.stage-partners .logos {
  display: flex;
  justify-content: space-between;
}
.stage-partners .logos img {
  -o-object-fit: contain;
     object-fit: contain;
}
.stage-partners .stage-logos {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
  /* margin-bottom: 1rem; */
}
.stage-partners .stage-logos img {
  -o-object-fit: contain;
     object-fit: contain;
}
.stage-partners .stage-logos span {
  display: flex;
  align-items: center;
  margin-bottom: 0.5rem;
  margin-right: 2rem;
}
.stage-partners .stage-logos.presenting img {
  max-height: 26px;
}
.stage-partners .stage-logos.supporting img {
  max-height: 26px;
}
.stage-partners .stage-logos.programming img {
  max-height: 26px;
}
.learn-more .blue-link {
  font-family: "Roboto", sans-serif;
  font-size: 14px;
  font-weight: 500;
  line-height: 18.2px;
  letter-spacing: -0.009em;
  text-align: left;
  color: #2323E7;
  text-decoration: underline;
}
.stage-tile .stage-tag {
  font-family: "Roboto", sans-serif;
  font-size: 16px;
  font-weight: 500;
  line-height: 24px;
  letter-spacing: -0.009em;
  color: #000;
  border-bottom: 1px solid #C5C6C8;
  padding-bottom: 24px;
  margin-bottom: 24px;
}
.stage-tile-wrapper .stage-tile .stage-excerpt {
  display: none;
  padding: 1.5rem;
  opacity: 0;
  z-index: 1;
  position: absolute;
  background-color: #fff;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}
.stage-tile-wrapper .stage-tile:hover .stage-excerpt {
  display: flex;
  justify-content: center;
  flex-direction: column;
  border-radius: 12px;
  opacity: 1;
}
.stage-tile .stage-excerpt p {
  font-family: "Roboto", sans-serif;
  font-size: 12px;
  font-weight: 400;
  line-height: 18px;
  letter-spacing: -0.009em;
  color: #161616;
}
.stage-partners .partner-tag {
  color: #000 !important;
  display: block;
  font-weight: 700;
  border-bottom: 2px solid #000;
  text-transform: none;
  font-size: 1rem;
  padding-bottom: 0.25rem;
  margin-bottom: 1rem;
  width: 80%;
}

/*# sourceMappingURL=data:application/json;charset=utf-8;base64,eyJ2ZXJzaW9uIjozLCJmaWxlIjoicHVibGljL3dwLWNvbnRlbnQvdGhlbWVzL2VsZXZhdGVmZXN0aXZhbC9jc3MvdGVtcGxhdGUtbG91bmdlcy5jc3MiLCJtYXBwaW5ncyI6IjtBQUdBO0VBQ0k7QUNESjs7QURJQTtFQUNJO0FDREo7O0FEbUJBO0VBQ0k7RUFDQTtFQUNBO0FDaEJKO0FDS007RUZRTjtJQUtRO0lBQ0E7RUNkTjtBQUNGO0FDUE07RUZjTjtJQVNRO0lBQ0E7RUNaTjtBQUNGO0FDbkJNO0VGb0JOO0lBYVE7SUFDQTtFQ1ZOO0FBQ0Y7O0FEYUE7RUFDSTtFQUNBO0VBQ0E7RUFLQTtBQ2RKO0FDcEJNO0VGMEJOO0lBS1E7SUFDQTtFQ1BOO0FBQ0Y7O0FEWUE7RUFDSTtFQUNBO0FDVEo7QUNyQ007RUY0Q047SUFJUTtJQUNBO0VDUE47QUFDRjtBQzlDTTtFRitDTjtJQVFRO0lBQ0E7RUNMTjtBQUNGO0FDdkRNO0VGa0ROO0lBWVE7SUFDQTtFQ0hOO0FBQ0Y7O0FEeUNBO0VBR0k7RUFDQTtFQUNBO0VBQ0E7QUN4Q0o7QUR5Q0k7RUFDSTtFQUNBO0FDdkNSOztBQTVFQTtFQUNJO0FBK0VKO0FBN0VJO0VBQ0k7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBLGNFWEk7RUZZSjtBQStFUjtBQy9FTTtFRFBGO0lBU0k7RUFpRk47QUFDRjtBQS9FSTtFQUNJLGNFWkE7RUZhQTtBQWlGUjs7QUE5RUE7RUFDSTtFQUNBO0VBQ0E7QUFpRko7QUM5Rk07RURVTjtJQUtRO0VBbUZOO0FBQ0Y7O0FBaEZJO0VBQ0k7RUFDQTtBQW1GUjtBQzlHTTtFRDhCRTtJQUNJO0lBQ0E7SUFDQTtJQUNBO0lBQ0E7SUFDQTtJQUNBO0lBQ0E7SUFDQTtFQW1GVjtBQUNGO0FDckhNO0VEcUNFO0lBQ0k7SUFDQTtFQW1GVjtFQWxGVTtJQUNJO0lBQ0E7SUFDQTtJQUNBO0lBQ0E7SUFDQTtJQUNBLG1CRTVDRTtJRjZDRjtFQW9GZDtBQUNGO0FDL0hNO0VEa0NNO0lBVVE7SUFDQTtFQXVGbEI7QUFDRjtBQ3hJTTtFRHFDTTtJQWNRO0VBeUZsQjtBQUNGOztBQWpGSTtFQUNJO0FBb0ZSOztBQS9FQTtFQUNJO0VBQ0E7RUFDQTtBQWtGSjtBQWpGSTtFQUNJO0VBQ0E7RUFDQTtBQW1GUjtBQWxGUTtFQUNJO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7RUFHQSx5QkVqR0E7RUZrR0E7RUFDQTtFQUNBO0VBQ0E7RUFDQTtBQWtGWjtBQ3RLTTtFRHdGa0I7SUFDSTtJQUNBO0lBQ0E7SUFDQTtJQUNBO0lBQ0E7SUFDQTtJQUNBO0lBQ0E7RUFpRjFCO0VBOUVrQjtJQUNJO0VBZ0Z0QjtBQUNGO0FDekxNO0VEOEdVO0lBQ0k7SUFDQTtJQUNBLG1CRWhJUjtJRmlJUTtJQUNBO0lBQ0E7SUFDQTtJQUNBO0lBQ0E7SUFDQTtFQThFbEI7QUFDRjtBQTNFWTtFQUNJO0VBQ0E7RUFDQTtBQTZFaEI7QUExRVE7RUFDSTtFQUNBO0VBRUE7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0FBMkVaO0FDek5NO0VEK0lNO0lBRVE7RUE0RWxCO0FBQ0Y7O0FBdEVBO0VBT0k7RUFDQTtFQUNBO0VBQ0E7QUFtRUo7QUMzT007RURnS0U7SUFDSTtFQThFVjtBQUNGO0FDaFBNO0VEMEtFO0lBQ0k7SUFDQTtJQUNBO0lBQ0E7SUFFQTtJQUNBO0lBQ0E7SUFDQTtJQUNBO0VBd0VWO0VBdEVNO0lBQ0k7SUFDQTtJQUNBO0lBQ0E7SUFDQTtJQUNBO0lBQ0E7RUF3RVY7RUF0RU07SUFDSTtJQUNBO0lBQ0E7SUFDQTtJQUNBO0lBQ0E7SUFDQTtJQUNBO0VBd0VWO0FBQ0Y7QUFyRUk7RUFDSTtBQXVFUjtBQXRFUTtFQUNJO0VBQ0E7S0FBQTtBQXdFWjtBQXJFSTtFQUNJO0FBdUVSO0FBckVJO0VBRUk7RUFDQTtFQUNBO0FBc0VSO0FBbkVJO0VBRUk7RUFDQTtFQUNBO0VBQ0E7RUFDQTtBQW9FUjtBQWxFSTtFQUNJO0VBQ0E7QUFvRVI7QUFuRVE7RUFDSTtFQUNBO0FBcUVaO0FBaEVRO0VBQ0k7QUFrRVo7QUFqRVk7RUFDSTtFQUNBO0FBbUVoQjtBQWpFWTtFQUNJO0VBQ0EseUJFbFFKO0VGbVFJO0VBRUE7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0FBa0VoQjtBQ2hVTTtFRG9QTTtJQVlRO0VBb0VsQjtBQUNGO0FBL0RJO0VBQ0k7RUFDQTtFQUNBO0VBQ0E7RUFDQTtBQWlFUjtBQS9ESTtFQUNJO0VBQ0E7QUFpRVI7QUE5REk7RUFDSTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7QUFnRVI7QUE5REk7RUFDSTtBQWdFUjtBQzlWTTtFRGlTRTtJQUNJO0lBQ0EsY0U1U0E7SUY2U0E7SUFDQTtFQWdFVjtFQS9EVTtJQUNJO0VBaUVkO0FBQ0Y7QUN6V007RURpU0U7SUFTUTtJQUNBLGNFcFRKO0VGdVhWO0FBQ0Y7QUFoRUk7RUFDSTtBQWtFUjtBQWhFSTtFQUNJO0FBa0VSO0FDclhNO0VEa1RGO0lBR1E7RUFvRVY7QUFDRjtBQWxFSTtFQUVJO0VBQ0E7QUFtRVI7QUFsRVE7RUFDSTtBQW9FWjtBQ2pZTTtFRGlVRTtJQUNJO0lBQ0E7SUFDQTtJQUVBO09BQUE7SUFDQTtJQUNBO0lBQ0E7SUFDQTtJQUNBO0lBQ0E7RUFrRVY7RUFqRVU7SUFDSTtFQW1FZDtBQUNGOztBQTdESTtFQUNJO0VBQ0E7QUFnRVI7O0FBNURBO0VBQ0k7QUErREo7QUE5REk7RUFDSTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0FBZ0VSOztBQTVEQTtFQW1CSTtFQUVBO0VBQ0E7QUE0Q0o7QUM5YU07RUQ0V047SUFFUTtFQW9FTjtFQWxFTTtJQUNJO0lBQ0E7SUFDQTtJQUNBO0lBQ0E7SUFDQTtJQUNBO0lBQ0E7SUFDQTtJQUNBO0lBQ0E7RUFvRVY7QUFDRjtBQzdiTTtFRHlXTjtJQXdCUTtJQUNBO0VBZ0VOO0FBQ0Y7QUEvREk7RUFDSTtFQUNBO0FBaUVSO0FBaEVRO0VBQ0k7S0FBQTtBQWtFWjtBQS9ESTtFQUNJO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7QUFpRVI7QUFoRVE7RUFDSTtLQUFBO0FBa0VaO0FBL0RRO0VBQ0k7RUFDQTtFQUNBO0VBQ0E7QUFpRVo7QUE5RFk7RUFDSTtBQWdFaEI7QUExRFk7RUFDSTtBQTREaEI7QUF4RFk7RUFDSTtBQTBEaEI7QUFyREk7RUFFSTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7RUFDQTtFQUNBO0VBQ0E7QUFzRFIsQyIsInNvdXJjZXMiOlsid2VicGFjazovL2N1c3RvbS13b3JkcHJlc3MtdGhlbWUtYm9pbGVycGxhdGUvLi9zcmMvc2Nzcy9wbGFjZWhvbGRlcnMvX3R5cG9ncmFwaHkuc2NzcyIsIndlYnBhY2s6Ly9jdXN0b20td29yZHByZXNzLXRoZW1lLWJvaWxlcnBsYXRlLy4vc3JjL3Njc3MvdGVtcGxhdGUtbG91bmdlcy5zY3NzIiwid2VicGFjazovL2N1c3RvbS13b3JkcHJlc3MtdGhlbWUtYm9pbGVycGxhdGUvLi9zcmMvc2Nzcy9taXhpbnMvX2JyZWFrcG9pbnQuc2NzcyIsIndlYnBhY2s6Ly9jdXN0b20td29yZHByZXNzLXRoZW1lLWJvaWxlcnBsYXRlLy4vc3JjL3Njc3MvdmFyaWFibGVzL19jb2xvcnMuc2NzcyJdLCJzb3VyY2VzQ29udGVudCI6WyJAaW1wb3J0IHVybCgnaHR0cHM6Ly9mb250cy5nb29nbGVhcGlzLmNvbS9jc3MyP2ZhbWlseT1BbWlrbzp3Z2h0QDQwMDs2MDA7NzAwJmZhbWlseT1JbnRlcjp3Z2h0QDcwMCZmYW1pbHk9Um9ib3RvK01vbm86d2dodEA2MDAmZmFtaWx5PVJvYm90bzppdGFsLHdnaHRAMCw0MDA7MCw1MDA7MCw2MDA7MCw3MDA7MCw5MDA7MSw0MDA7MSw3MDA7MSw5MDAmZmFtaWx5PVJvYm90bytDb25kZW5zZWQ6d2dodEA3MDAmZGlzcGxheT1zd2FwJyk7XG5cblxuJWFtaWtvIHtcbiAgICBmb250LWZhbWlseTogJ0FtaWtvJywgc2Fucy1zZXJpZjtcbn1cblxuJXJvYm90byB7XG4gICAgZm9udC1mYW1pbHk6ICdSb2JvdG8nLCBzYW5zLXNlcmlmO1xufVxuXG4lcm9ib3RvbW9ubyB7XG4gICAgZm9udC1mYW1pbHk6ICdSb2JvdG8gTW9ubycsIG1vbm9zcGFjZTtcbn1cblxuJXJvYm90b2NvbmRlbnNlZCB7XG4gICAgZm9udC1mYW1pbHk6ICdSb2JvdG8gQ29uZGVuc2VkJywgc2Fucy1zZXJpZjtcbn1cblxuXG4laW50ZXJ7XG4gICAgZm9udC1mYW1pbHk6ICdJbnRlcicsIHNhbnMtc2VyaWY7XG4gICAgZm9udC13ZWlnaHQ6IDcwMDtcbiAgICBmb250LXN0eWxlOiBub3JtYWw7XG59XG5cbiVoMSB7XG4gICAgbGluZS1oZWlnaHQ6IHJlbSg4MHB4KTtcbiAgICBmb250LXdlaWdodDogNDAwO1xuICAgIGZvbnQtc2l6ZTogcmVtKDc4cHgpO1xuICAgIEBpbmNsdWRlIGJyZWFrcG9pbnQobW9iaWxlb25seSkge1xuICAgICAgICBmb250LXNpemU6IHJlbSg1Mi41cHgpICFpbXBvcnRhbnQ7XG4gICAgICAgIGxpbmUtaGVpZ2h0OiByZW0oNjBweCk7XG4gICAgfVxuICAgIEBpbmNsdWRlIGJyZWFrcG9pbnQodGFibGV0KSB7XG4gICAgICAgIGZvbnQtc2l6ZTogcmVtKDYyLjVweCk7XG4gICAgICAgIGxpbmUtaGVpZ2h0OiByZW0oNzBweCk7XG4gICAgfVxuICAgIEBpbmNsdWRlIGJyZWFrcG9pbnQoZGVza3RvcCkge1xuICAgICAgICBmb250LXNpemU6IHJlbSg3OHB4KTtcbiAgICAgICAgbGluZS1oZWlnaHQ6IHJlbSg4MHB4KTtcbiAgICB9XG59XG5cbiVoMiB7XG4gICAgbGluZS1oZWlnaHQ6IHJlbSg1OHB4KTtcbiAgICBmb250LXdlaWdodDogYm9sZDtcbiAgICB0ZXh0LXRyYW5zZm9ybTogdXBwZXJjYXNlO1xuICAgIEBpbmNsdWRlIGJyZWFrcG9pbnQobW9iaWxlb25seSkge1xuICAgICAgICBmb250LXNpemU6IHJlbSg0MHB4KTtcbiAgICAgICAgbGluZS1oZWlnaHQ6IHJlbSg1MHB4KTtcbiAgICB9XG4gICAgZm9udC1zaXplOiByZW0oNTZweCk7XG59XG5cblxuJWgzIHtcbiAgICBmb250LXdlaWdodDogYm9sZDtcbiAgICB0ZXh0LXRyYW5zZm9ybTogdXBwZXJjYXNlO1xuICAgIEBpbmNsdWRlIGJyZWFrcG9pbnQodGFibGV0KSB7XG4gICAgICAgIGZvbnQtc2l6ZTogcmVtKDMwcHgpO1xuICAgICAgICBsaW5lLWhlaWdodDogcmVtKDM2cHgpO1xuICAgIH1cbiAgICBAaW5jbHVkZSBicmVha3BvaW50KGxhcHRvcCkge1xuICAgICAgICBmb250LXNpemU6IHJlbSgzMnB4KTtcbiAgICAgICAgbGluZS1oZWlnaHQ6IHJlbSg0MHB4KTtcbiAgICB9XG4gICAgQGluY2x1ZGUgYnJlYWtwb2ludChkZXNrdG9wKXtcbiAgICAgICAgZm9udC1zaXplOiByZW0oNDhweCk7XG4gICAgICAgIGxpbmUtaGVpZ2h0OiByZW0oNTJweCk7XG4gICAgfVxufVxuXG4laDQge1xuICAgIGZvbnQtc2l6ZTogcmVtKDIwcHgpO1xuICAgIGxpbmUtaGVpZ2h0OiByZW0oMzJweCk7XG4gICAgZm9udC13ZWlnaHQ6IGJvbGQ7XG59XG5cbiVoNSB7XG4gICAgZm9udC1zaXplOiByZW0oMThweCk7XG4gICAgbGluZS1oZWlnaHQ6IHJlbSgyNHB4KTtcbiAgICBmb250LXdlaWdodDogYm9sZDtcbn1cblxuJWg2IHtcbiAgICBmb250LXNpemU6IHJlbSgxNnB4KTtcbiAgICBsaW5lLWhlaWdodDogcmVtKDI0cHgpO1xuICAgIHRleHQtdHJhbnNmb3JtOiB1cHBlcmNhc2U7XG4gICAgZm9udC13ZWlnaHQ6IG5vcm1hbDtcbn1cblxuaDEge1xuICAgIEBleHRlbmQgJWgxO1xuICAgIEBleHRlbmQgJWFtaWtvO1xufVxuXG5oMiB7XG4gICAgQGV4dGVuZCAlaDI7XG4gICAgQGV4dGVuZCAlYW1pa287XG59XG5cbmgzIHtcbiAgICBAZXh0ZW5kICVoMztcbiAgICBAZXh0ZW5kICVhbWlrbztcbn1cblxuXG5wIHtcbiAgICBAZXh0ZW5kICVyb2JvdG87XG4gICAgLy8gY29sb3I6ICRncmV5O1xuICAgIGZvbnQtc2l6ZTogcmVtKDE4cHgpO1xuICAgIGZvbnQtd2VpZ2h0OiA0MDA7XG4gICAgbGluZS1oZWlnaHQ6IHJlbSgyNXB4KTtcbiAgICBsZXR0ZXItc3BhY2luZzogMC4wMDdyZW07XG4gICAgYntcbiAgICAgICAgZm9udC13ZWlnaHQ6IGluaGVyaXQ7XG4gICAgICAgIGNvbG9yOiAjMDAwO1xuICAgIH1cbiAgICAvLyBmb250LXNpemU6IHJlbSgxNHB4KTtcbiAgICAvLyBsaW5lLWhlaWdodDogcmVtKDI4cHgpO1xuICAgIC8vIEBpbmNsdWRlIGJyZWFrcG9pbnQodGFibGV0KSB7XG4gICAgLy8gICAgIGZvbnQtc2l6ZTogcmVtKDE1cHgpO1xuICAgIC8vIGxpbmUtaGVpZ2h0OiByZW0oMzBweCk7XG4gICAgLy8gfVxuICAgIC8vIEBpbmNsdWRlIGJyZWFrcG9pbnQobGFwdG9wKSB7XG4gICAgLy8gICAgIGZvbnQtc2l6ZTogcmVtKDE2cHgpO1xuICAgIC8vICAgICBsaW5lLWhlaWdodDogcmVtKDMycHgpO1xuICAgIC8vIH1cbn1cbiIsIkBpbXBvcnQgJy4vdXRpbGl0aWVzL3N0YW5kYXJkJztcblxuLmxvdW5nZXMtaGVyb3tcbiAgICBwb3NpdGlvbjogcmVsYXRpdmU7XG4gICAgXG4gICAgaDF7XG4gICAgICAgIHRleHQtdHJhbnNmb3JtOiB1cHBlcmNhc2U7XG4gICAgICAgIGZvbnQtd2VpZ2h0OiBib2xkO1xuICAgICAgICBwb3NpdGlvbjogcmVsYXRpdmU7XG4gICAgICAgIHotaW5kZXg6IDE7XG4gICAgICAgIGZvbnQtc2l6ZTogcmVtKDMycHgpO1xuICAgICAgICBjb2xvcjogJHNlY29uZGFyeTtcbiAgICAgICAgbGluZS1oZWlnaHQ6IDEwMCU7XG4gICAgICAgIEBpbmNsdWRlIGJyZWFrcG9pbnQodGFibGV0KXtcbiAgICAgICAgZm9udC1zaXplOiByZW0oNTRweCk7XG4gICAgICAgIH1cbiAgICB9XG4gICAgcHtcbiAgICAgICAgY29sb3I6ICRibGFjaztcbiAgICAgICAgZm9udC1zaXplOiAyMHB4O1xuICAgIH1cbn1cbmgye1xuICAgIGZvbnQtc2l6ZTogcmVtKDMycHgpO1xuICAgIGxpbmUtaGVpZ2h0OiAxO1xuICAgIG1hcmdpbi1ib3R0b206IDA7XG4gICAgQGluY2x1ZGUgYnJlYWtwb2ludCh0YWJsZXQpe1xuICAgICAgICBmb250LXNpemU6IHJlbSg1NHB4KTtcbiAgICB9XG59XG4ucGljLXJvd3tcbiAgICBpbWd7XG4gICAgICAgIHBvc2l0aW9uOiByZWxhdGl2ZTtcbiAgICAgICAgei1pbmRleDogMTtcbiAgICB9XG4gICAgQGluY2x1ZGUgYnJlYWtwb2ludChkZXNrdG9wKXtcbiAgICAgICAgJjo6YWZ0ZXJ7XG4gICAgICAgICAgICBjb250ZW50OiAnJztcbiAgICAgICAgICAgIGRpc3BsYXk6IGJsb2NrO1xuICAgICAgICAgICAgcG9zaXRpb246IGFic29sdXRlO1xuICAgICAgICAgICAgYmFja2dyb3VuZC1pbWFnZTogdXJsKC4uL2Fzc2V0cy9pbWFnZXMvMjAyMy9lbGV2YXRlLWZlc3RpdmFsLWFib3V0LWhlcm8tZWxtLnN2Zyk7XG4gICAgICAgICAgICB3aWR0aDogNjk1cHg7XG4gICAgICAgICAgICByaWdodDogLTMyMHB4O1xuICAgICAgICAgICAgaGVpZ2h0OiAxMzRweDtcbiAgICAgICAgICAgIHRvcDogOTJweDtcbiAgICAgICAgICAgIGJhY2tncm91bmQtc2l6ZTogY29udGFpbjtcbiAgICAgICAgfVxuICAgIH1cbiAgICBAaW5jbHVkZSBicmVha3BvaW50KHRhYmxldCl7XG4gICAgICAgIC5pbnRyby1jb3B5e1xuICAgICAgICAgICAgcGFkZGluZy1sZWZ0OiAycmVtO1xuICAgICAgICAgICAgcG9zaXRpb246IHJlbGF0aXZlO1xuICAgICAgICAgICAgJjo6YWZ0ZXJ7XG4gICAgICAgICAgICAgICAgY29udGVudDogJyc7XG4gICAgICAgICAgICAgICAgZGlzcGxheTogYmxvY2s7XG4gICAgICAgICAgICAgICAgd2lkdGg6IDIwMCU7XG4gICAgICAgICAgICAgICAgdG9wOjI1cHg7XG4gICAgICAgICAgICAgICAgYm90dG9tOiAyNXB4O1xuICAgICAgICAgICAgICAgIHBvc2l0aW9uOiBhYnNvbHV0ZTtcbiAgICAgICAgICAgICAgICBiYWNrZ3JvdW5kOiAkZWxldmF0ZS1ncmV5LTMwO1xuICAgICAgICAgICAgICAgIHotaW5kZXg6IC0xO1xuICAgICAgICAgICAgICAgIEBpbmNsdWRlIGJyZWFrcG9pbnQobW9iaWxlb25seSl7XG4gICAgICAgICAgICAgICAgICAgIGxlZnQ6IDAlO1xuICAgICAgICAgICAgICAgICAgICB0b3A6IDMxMHB4O1xuICAgICAgICAgICAgICAgIH1cbiAgICAgICAgICAgICAgICBAaW5jbHVkZSBicmVha3BvaW50KHBoYWJsZXQpe1xuICAgICAgICAgICAgICAgICAgICBsZWZ0OiAwJTtcbiAgICAgICAgICAgICAgICB9XG4gICAgICAgICAgICB9XG4gICAgICAgIH1cblxuICAgIH1cbiAgICBcbn1cbi5hYm91dC1pbWFnZXtcbiAgICBpbWd7XG4gICAgICAgIHdpZHRoOiAxMDAlO1xuICAgIH1cbn1cblxuXG4uc3RhZ2UtZGF0ZXN7XG4gICAgcG9zaXRpb246IHJlbGF0aXZlO1xuICAgIHotaW5kZXg6IDM7XG4gICAgbWFyZ2luLXRvcDogMnJlbSA7XG4gICAgLnN0YWdlLXRpbWluZy1yb3d7XG4gICAgICAgIGRpc3BsYXk6IGZsZXg7XG4gICAgICAgIGFsaWduLWl0ZW1zOiBmbGV4LWVuZDtcbiAgICAgICAganVzdGlmeS1jb250ZW50OiBzcGFjZS1iZXR3ZWVuO1xuICAgICAgICAuZGF5LXdyYXBwZXJ7XG4gICAgICAgICAgICBkaXNwbGF5OiBmbGV4O1xuICAgICAgICAgICAgZmxleC1kaXJlY3Rpb246IGNvbHVtbjtcbiAgICAgICAgICAgIGFsaWduLWl0ZW1zOiBjZW50ZXI7XG4gICAgICAgICAgICBqdXN0aWZ5LWNvbnRlbnQ6IGNlbnRlcjtcbiAgICAgICAgICAgIHBhZGRpbmc6IDFyZW07XG5cbiAgICAgICAgICAgIEBleHRlbmQgJWFtaWtvO1xuICAgICAgICAgICAgYmFja2dyb3VuZC1jb2xvcjogJHNlY29uZGFyeTtcbiAgICAgICAgICAgIGNvbG9yOiAjZmZmO1xuICAgICAgICAgICAgdGV4dC10cmFuc2Zvcm06IHVwcGVyY2FzZTtcbiAgICAgICAgICAgIGZvbnQtd2VpZ2h0OiA3MDA7XG4gICAgICAgICAgICBmb250LXNpemU6IHJlbSgzMnB4KTtcbiAgICAgICAgICAgIHBvc2l0aW9uOiByZWxhdGl2ZTtcbiAgICAgICAgICAgICY6bm90KC5zaW5nbGUtZGF0ZSl7XG4gICAgICAgICAgICAgICAgQGluY2x1ZGUgYnJlYWtwb2ludChtb2JpbGVvbmx5KXtcbiAgICAgICAgICAgICAgICAgICAgJjpudGgtY2hpbGQoMSl7XG4gICAgICAgICAgICAgICAgICAgICAgICAmOjphZnRlcntcbiAgICAgICAgICAgICAgICAgICAgICAgICAgICBjb250ZW50OiAnJztcbiAgICAgICAgICAgICAgICAgICAgICAgICAgICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gICAgICAgICAgICAgICAgICAgICAgICAgICAgd2lkdGg6IDcwdnc7XG4gICAgICAgICAgICAgICAgICAgICAgICAgICAgYm9yZGVyOiAxcHggc29saWQgIzUwMzRGQTtcbiAgICAgICAgICAgICAgICAgICAgICAgICAgICBkaXNwbGF5OiBibG9jaztcbiAgICAgICAgICAgICAgICAgICAgICAgICAgICB6LWluZGV4OiAtMTtcbiAgICAgICAgICAgICAgICAgICAgICAgICAgICBsZWZ0OiA1MCU7XG4gICAgICAgICAgICAgICAgICAgICAgICAgICAgaGVpZ2h0OiA5MCU7XG4gICAgICAgICAgICAgICAgICAgICAgICAgICAgdG9wOiA1MCU7XG4gICAgICAgICAgICAgICAgICAgICAgICB9XG4gICAgICAgICAgICAgICAgICAgIH1cbiAgICAgICAgICAgICAgICAgICAgJjpudGgtY2hpbGQoMil7XG4gICAgICAgICAgICAgICAgICAgICAgICB0cmFuc2Zvcm06IHRyYW5zbGF0ZVgoMnJlbSk7XG4gICAgICAgICAgICAgICAgICAgIH1cbiAgICAgICAgICAgICAgICB9XG4gICAgICAgICAgICB9XG4gICAgICAgICAgICBcbiAgICAgICAgICAgIEBpbmNsdWRlIGJyZWFrcG9pbnQocGhhYmxldCl7XG4gICAgICAgICAgICAgICAgJjphZnRlcntcbiAgICAgICAgICAgICAgICAgICAgY29udGVudDogJyc7XG4gICAgICAgICAgICAgICAgICAgIGhlaWdodDogMXB4O1xuICAgICAgICAgICAgICAgICAgICBiYWNrZ3JvdW5kOiAkc2Vjb25kYXJ5O1xuICAgICAgICAgICAgICAgICAgICB3aWR0aDogMjI1JTtcbiAgICAgICAgICAgICAgICAgICAgcG9zaXRpb246IGFic29sdXRlO1xuICAgICAgICAgICAgICAgICAgICByaWdodDogLTIyNSU7XG4gICAgICAgICAgICAgICAgICAgIGJvdHRvbTogMS4ycmVtO1xuICAgICAgICAgICAgICAgICAgICBkaXNwbGF5OiBmbGV4O1xuICAgICAgICAgICAgICAgICAgICBtaW4td2lkdGg6IDEwMCU7XG4gICAgICAgICAgICAgICAgICAgIHotaW5kZXg6IDA7XG4gICAgICAgICAgICAgICAgfVxuICAgICAgICAgICAgfVxuICAgICAgICAgICAgXG4gICAgICAgICAgICAuZGF5e1xuICAgICAgICAgICAgICAgIGZvbnQtd2VpZ2h0OiA2MDA7XG4gICAgICAgICAgICAgICAgZm9udC1zaXplOiByZW0oNjFweCk7XG4gICAgICAgICAgICAgICAgbGluZS1oZWlnaHQ6IHJlbSg2MXB4KTtcbiAgICAgICAgICAgIH1cbiAgICAgICAgfSAgIFxuICAgICAgICAudGltZS13cmFwcGVye1xuICAgICAgICAgICAgYmFja2dyb3VuZC1jb2xvcjogI2ZmZjtcbiAgICAgICAgICAgIGNvbG9yOiAjMDAwO1xuICAgICAgICAgICAgQGV4dGVuZCAlYW1pa287XG4gICAgICAgICAgICBmb250LXdlaWdodDogNzAwO1xuICAgICAgICAgICAgdGV4dC10cmFuc2Zvcm06IHVwcGVyY2FzZTtcbiAgICAgICAgICAgIGZvbnQtc2l6ZTogcmVtKDE4cHgpO1xuICAgICAgICAgICAgbGluZS1oZWlnaHQ6IHJlbSgxOHB4KTtcbiAgICAgICAgICAgIGJvcmRlci1yYWRpdXM6IDhweDtcbiAgICAgICAgICAgIHBhZGRpbmc6IC43NXJlbSAxcmVtO1xuICAgICAgICAgICAgbWluLXdpZHRoOiA1MCU7XG4gICAgICAgICAgICB0ZXh0LWFsaWduOiBjZW50ZXI7XG4gICAgICAgICAgICBib3gtc2hhZG93OiAwcHggNHB4IDExcHggcmdiYSgwLCAwLCAwLCAwLjI1KTtcbiAgICAgICAgICAgIHBvc2l0aW9uOiByZWxhdGl2ZTtcbiAgICAgICAgICAgIHotaW5kZXg6IDE7XG4gICAgICAgICAgICB0cmFuc2Zvcm06IG5vbmU7XG4gICAgICAgICAgICAmOm5vdCguc2luZ2xlLWRhdGUpe1xuICAgICAgICAgICAgICAgIEBpbmNsdWRlIGJyZWFrcG9pbnQobW9iaWxlb25seSl7XG4gICAgICAgICAgICAgICAgICAgIHRyYW5zZm9ybTogdHJhbnNsYXRlKC0ycmVtLCA1cmVtKTtcbiAgICAgICAgICAgICAgICB9XG4gICAgICAgICAgICB9XG4gICAgICAgIH1cbiAgICB9XG59XG5cbi5mdC1yb3d7XG4gICAgQGluY2x1ZGUgYnJlYWtwb2ludCh0YWJsZXQpe1xuICAgICAgICAuY29udGFpbmVyID4gLnJvd3tcbiAgICAgICAgICAgIHBhZGRpbmctYm90dG9tOiAxMDBweDtcbiAgICAgICAgfVxuICAgIH1cbiAgICBcbiAgICBwb3NpdGlvbjogcmVsYXRpdmU7XG4gICAgZGlzcGxheTogZmxleDtcbiAgICBwb3NpdGlvbjogcmVsYXRpdmU7XG4gICAgY29sb3I6ICNmZmYgIWltcG9ydGFudDtcbiAgICBAaW5jbHVkZSBicmVha3BvaW50KHRhYmxldCl7XG4gICAgICAgICY6YWZ0ZXJ7XG4gICAgICAgICAgICBjb250ZW50OiAnJztcbiAgICAgICAgICAgIGhlaWdodDogMzAwcHg7XG4gICAgICAgICAgICB3aWR0aDogNjAwcHg7XG4gICAgICAgICAgICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gICAgICAgICAgICAvLyBiYWNrZ3JvdW5kOiB1cmwoLy9sb2NhbGhvc3Q6MzAwMC93cC1jb250ZW50L3RoZW1lcy9lbGV2YXRlZmVzdGl2YWwvYXNzZXRzL2ltYWdlcy8yMDIzL2VsZXZhdGUtZmVzdGl2YWwtZWF0cy1iZy10cmlhbmdsZS1lbG0uc3ZnKSBuby1yZXBlYXQ7XG4gICAgICAgICAgICBiYWNrZ3JvdW5kOiB1cmwoLi4vYXNzZXRzL2ltYWdlcy8yMDIzL2VsZXZhdGUtZmVzdGl2YWwtbGF0ZS1jb250ZW50LXRyaWFuZ2xlLWNvcm5lci5zdmcpIG5vLXJlcGVhdDtcbiAgICAgICAgICAgIGJvdHRvbTogMDtcbiAgICAgICAgICAgIHJpZ2h0OiAwO1xuICAgICAgICAgICAgei1pbmRleDogLTE7XG4gICAgICAgICAgICBiYWNrZ3JvdW5kLXNpemU6IGNvdmVyO1xuICAgICAgICB9XG4gICAgICAgIC5vdmVybGF5LWNpcmNsZXtcbiAgICAgICAgICAgIGJvcmRlci1yYWRpdXM6IDUwJTtcbiAgICAgICAgICAgIHdpZHRoOiA0MDBweDtcbiAgICAgICAgICAgIGhlaWdodDogNDAwcHg7XG4gICAgICAgICAgICBiYWNrZ3JvdW5kOiAjMUJDQkI2O1xuICAgICAgICAgICAgei1pbmRleDogNztcbiAgICAgICAgICAgIHBvc2l0aW9uOiBhYnNvbHV0ZTtcbiAgICAgICAgICAgIHRyYW5zZm9ybTogdHJhbnNsYXRlWCgtMTFweCk7XG4gICAgICAgIH1cbiAgICAgICAgLndoaXRlLWNpcmNsZS1lbG17XG4gICAgICAgICAgICBib3JkZXItcmFkaXVzOiA1MCU7XG4gICAgICAgICAgICB3aWR0aDogNDAwcHg7XG4gICAgICAgICAgICBoZWlnaHQ6IDQwMHB4O1xuICAgICAgICAgICAgYmFja2dyb3VuZDogI2ZmZjtcbiAgICAgICAgICAgIHotaW5kZXg6IDE7XG4gICAgICAgICAgICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gICAgICAgICAgICByaWdodDogMTMwcHg7XG4gICAgICAgICAgICB0b3A6IDE4MHB4O1xuICAgICAgICB9XG4gICAgfVxuICAgIFxuICAgIC5pbWctY29se1xuICAgICAgICBqdXN0aWZ5LWNvbnRlbnQ6IGZsZXgtZW5kO1xuICAgICAgICBpbWd7XG4gICAgICAgICAgICB6LWluZGV4OiAxO1xuICAgICAgICAgICAgb2JqZWN0LWZpdDogY29udGFpbjtcbiAgICAgICAgfVxuICAgIH1cbiAgICBoM3tcbiAgICAgICAgcG9zaXRpb246IHJlbGF0aXZlO1xuICAgIH1cbiAgICBoMntcbiAgICAgICAgQGV4dGVuZCAlYW1pa287XG4gICAgICAgIGZvbnQtc2l6ZTogcmVtKDMycHgpO1xuICAgICAgICB6LWluZGV4OiAyO1xuICAgICAgICBwb3NpdGlvbjogcmVsYXRpdmU7XG4gICAgfVxuICAgIFxuICAgIGg0e1xuICAgICAgICBAZXh0ZW5kICVhbWlrbztcbiAgICAgICAgZm9udC1zaXplOiByZW0oMjhweCk7XG4gICAgICAgIHRleHQtdHJhbnNmb3JtOiB1cHBlcmNhc2U7XG4gICAgICAgIGZvbnQtd2VpZ2h0OiA3MDA7XG4gICAgICAgIGJvcmRlci1ib3R0b206IDFweCBzb2xpZCAkeWVsbG93O1xuICAgICAgICB6LWluZGV4OiAxO1xuICAgIH1cbiAgICAuZnQtZGl2e1xuICAgICAgICBwb3NpdGlvbjogcmVsYXRpdmU7XG4gICAgICAgIHBhZGRpbmctcmlnaHQ6IDAgIWltcG9ydGFudDtcbiAgICAgICAgLnNsaWRlLWltZyBpbWd7XG4gICAgICAgICAgICB3aWR0aDogMTAwJTtcbiAgICAgICAgICAgIG1hcmdpbi10b3A6IDIuNXJlbTtcbiAgICAgICAgICAgIEBpbmNsdWRlIGJyZWFrcG9pbnQobW9iaWxlb25seSl7XG4gICAgICAgICAgICAgICAgLy8gbWFyZ2luXG4gICAgICAgICAgICB9XG4gICAgICAgIH1cbiAgICAgICAgLnNsaWRlLWNvbnRlbnR7XG4gICAgICAgICAgICBwb3NpdGlvbjogcmVsYXRpdmU7XG4gICAgICAgICAgICAuaW5uZXItY29udGVudHtcbiAgICAgICAgICAgICAgICB6LWluZGV4OiAxO1xuICAgICAgICAgICAgICAgIHBvc2l0aW9uOiByZWxhdGl2ZTtcbiAgICAgICAgICAgIH1cbiAgICAgICAgICAgICY6YWZ0ZXJ7XG4gICAgICAgICAgICAgICAgY29udGVudDogJyc7XG4gICAgICAgICAgICAgICAgYmFja2dyb3VuZC1jb2xvcjogJHNlY29uZGFyeTtcbiAgICAgICAgICAgICAgICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gICAgICAgICAgICAgICAgLy8gaGVpZ2h0OiBjYWxjKDEwMCUgLSA0cmVtKTtcbiAgICAgICAgICAgICAgICB3aWR0aDogMTUwdnc7XG4gICAgICAgICAgICAgICAgei1pbmRleDogMDtcbiAgICAgICAgICAgICAgICB0b3A6IC0zcmVtO1xuICAgICAgICAgICAgICAgIGJvdHRvbTogLTFyZW07XG4gICAgICAgICAgICAgICAgei1pbmRleDogMDtcbiAgICAgICAgICAgICAgICByaWdodDogMDtcbiAgICAgICAgICAgICAgICBAaW5jbHVkZSBicmVha3BvaW50KHRhYmxldCl7XG4gICAgICAgICAgICAgICAgICAgIHJpZ2h0OiAtMTQwcHg7XG4gICAgICAgICAgICAgICAgfVxuICAgICAgICAgICAgfVxuICAgICAgICB9XG4gICAgICAgIFxuICAgIH1cbiAgICAuZnQtc2xpZGVye1xuICAgICAgICBwb3NpdGlvbjogcmVsYXRpdmU7XG4gICAgICAgIG92ZXJmbG93OiBoaWRkZW47XG4gICAgICAgIHBhZGRpbmctdG9wOiAyLjNyZW07XG4gICAgICAgIHBhZGRpbmctYm90dG9tOiAyLjNyZW07XG4gICAgICAgIHotaW5kZXg6IDg7XG4gICAgfVxuICAgIC5zd2lwZXItd3JhcHBlcntcbiAgICAgICAgZmxleC1kaXJlY3Rpb246IHJvdztcbiAgICAgICAgbWF4LWhlaWdodDogaW5pdGlhbCAhaW1wb3J0YW50O1xuICAgICAgICAvLyBwYWRkaW5nOiAwO1xuICAgIH1cbiAgICAuc2VnbWVudC1pbm5lcntcbiAgICAgICAgbWF4LXdpZHRoOiA3NSU7XG4gICAgICAgIHdpZHRoOiAxMDAlO1xuICAgICAgICBoZWlnaHQ6IDEwMCU7XG4gICAgICAgIGRpc3BsYXk6IGZsZXg7XG4gICAgICAgIGZsZXgtZGlyZWN0aW9uOiBjb2x1bW47XG4gICAgICAgIGp1c3RpZnktY29udGVudDogY2VudGVyO1xuICAgIH1cbiAgICAuc3dpcGVyLWJ1dHRvbi1uZXh0LCAuc3dpcGVyLWJ1dHRvbi1wcmV2e1xuICAgICAgICBkaXNwbGF5OiBub25lO1xuICAgIH1cbiAgICBAaW5jbHVkZSBicmVha3BvaW50KGxhcHRvcCl7XG4gICAgICAgIC5zd2lwZXItYnV0dG9uLW5leHQsIC5zd2lwZXItYnV0dG9uLXByZXZ7XG4gICAgICAgICAgICBkaXNwbGF5OiBibG9jaztcbiAgICAgICAgICAgIGNvbG9yOiAkc2Vjb25kYXJ5O1xuICAgICAgICAgICAgei1pbmRleDogMTtcbiAgICAgICAgICAgIHRvcDogMTYwcHggIWltcG9ydGFudDtcbiAgICAgICAgICAgICY6YWZ0ZXJ7XG4gICAgICAgICAgICAgICAgZm9udC1zaXplOiA0LjVyZW07XG4gICAgICAgICAgICB9XG4gICAgICAgICAgICBAaW5jbHVkZSBicmVha3BvaW50KGxhcHRvcCl7XG4gICAgICAgICAgICAgICAgdG9wOiA1MCUgIWltcG9ydGFudDtcbiAgICAgICAgICAgICAgICBjb2xvcjogJHNlY29uZGFyeTtcbiAgICAgICAgICAgIH1cbiAgICAgICAgfVxuICAgIH1cbiAgICAuc3dpcGVyLWJ1dHRvbi1wcmV2e1xuICAgICAgICBsZWZ0OiAxMHB4O1xuICAgIH1cbiAgICAuc3dpcGVyLWJ1dHRvbi1uZXh0e1xuICAgICAgICByaWdodDogMjBweDtcbiAgICAgICAgQGluY2x1ZGUgYnJlYWtwb2ludChsYXB0b3Ape1xuICAgICAgICAgICAgcmlnaHQ6IGNhbGMoLTMwcHgpO1xuICAgICAgICB9XG4gICAgfVxuICAgIC5zd2lwZXItc2xpZGV7XG4gICAgICAgIC8vIHBhZGRpbmctbGVmdDogMCAhaW1wb3J0YW50O1xuICAgICAgICBkaXNwbGF5OiBmbGV4O1xuICAgICAgICBoZWlnaHQ6IGF1dG87XG4gICAgICAgIC5yb3d7XG4gICAgICAgICAgICB3aWR0aDogMTAwJTtcbiAgICAgICAgfVxuICAgIH1cbiAgICBAaW5jbHVkZSBicmVha3BvaW50KGxhcHRvcCl7XG4gICAgICAgIC5zbGlkZS1pbWd7XG4gICAgICAgICAgICBwb3NpdGlvbjogcmVsYXRpdmU7XG4gICAgICAgICAgICBhbGlnbi1pdGVtczogY2VudGVyO1xuICAgICAgICAgICAganVzdGlmeS1jb250ZW50OiBjZW50ZXI7XG4gICAgICAgICAgICAvLyBkaXNwbGF5OiBmbGV4O1xuICAgICAgICAgICAgb2JqZWN0LWZpdDogY29udGFpbjtcbiAgICAgICAgICAgIHBvc2l0aW9uOiBhYnNvbHV0ZTtcbiAgICAgICAgICAgIHdpZHRoOiAxMDAlO1xuICAgICAgICAgICAgcmlnaHQ6IC00OCU7XG4gICAgICAgICAgICB0b3A6IDgwcHg7XG4gICAgICAgICAgICBvYmplY3QtZml0OiBjb250YWluO1xuICAgICAgICAgICAgei1pbmRleDogMTtcbiAgICAgICAgICAgIGltZ3tcbiAgICAgICAgICAgICAgICBtYXgtd2lkdGg6IDUzMHB4O1xuICAgICAgICAgICAgfVxuICAgICAgICB9XG4gICAgfVxufVxuXG4ubG91bmdlLXNsaWRlcjpub3QoLnN3aXBlci1pbml0aWFsaXplZCl7XG4gICAgLnN3aXBlci13cmFwcGVye1xuICAgICAgICBkaXNwbGF5OiBmbGV4O1xuICAgICAgICBmbGV4LWRpcmVjdGlvbjogY29sdW1uO1xuICAgIH1cbn1cblxuLnByZS1mb290ZXJ7XG4gICAgcG9zaXRpb246IHJlbGF0aXZlO1xuICAgICY6OmJlZm9yZXtcbiAgICAgICAgY29udGVudDogJyc7XG4gICAgICAgIGRpc3BsYXk6IGJsb2NrO1xuICAgICAgICBwb3NpdGlvbjogYWJzb2x1dGU7XG4gICAgICAgIGJhY2tncm91bmQtaW1hZ2U6IHVybCguLi9hc3NldHMvaW1hZ2VzLzIwMjMvZWxldmF0ZS1mZXN0aXZhbC1sYXRlLWNvbnRlbnQtdHJpYW5nbGUtY29ybmVyLnN2Zyk7XG4gICAgICAgIHdpZHRoOiA1MDBweDtcbiAgICAgICAgYmFja2dyb3VuZC1zaXplOiBjb3ZlcjtcbiAgICAgICAgcmlnaHQ6IDA7XG4gICAgICAgIGhlaWdodDogNDUwcHg7XG4gICAgICAgIHRvcDogLTMxOXB4O1xuICAgICAgICBiYWNrZ3JvdW5kLXJlcGVhdDogbm8tcmVwZWF0O1xuICAgICAgICB6LWluZGV4OiAwO1xuICAgIH1cbn1cblxuLnN0YWdlLXBhcnRuZXJze1xuICAgIEBpbmNsdWRlIGJyZWFrcG9pbnQobGFwdG9wKXtcbiAgICAgICAgYm9yZGVyOiAxcHggc29saWQgIzAwMDtcblxuICAgICAgICAmOmJlZm9yZXtcbiAgICAgICAgICAgIGNvbnRlbnQ6ICcnO1xuICAgICAgICAgICAgd2lkdGg6IGNhbGMoMTAwJSArIDJweCk7XG4gICAgICAgICAgICBoZWlnaHQ6IDE2cHg7XG4gICAgICAgICAgICBiYWNrZ3JvdW5kOiB0cmFuc3BhcmVudDtcbiAgICAgICAgICAgIHBvc2l0aW9uOiBhYnNvbHV0ZTtcbiAgICAgICAgICAgIGJvcmRlci10b3A6IDFweCBzb2xpZCAjZmZmO1xuICAgICAgICAgICAgYm9yZGVyLWxlZnQ6IDFweCBzb2xpZCAjZmZmO1xuICAgICAgICAgICAgYm9yZGVyLXJpZ2h0OiAxcHggc29saWQgI2ZmZjtcbiAgICAgICAgICAgIHRvcDogLTFweDtcbiAgICAgICAgICAgIGxlZnQ6IC0xcHg7XG4gICAgICAgICAgICB6LWluZGV4OiAyO1xuICAgICAgICB9XG4gICAgXG4gICAgfVxuICAgIHBhZGRpbmc6MS41cmVtO1xuICAgIC8vIGJveC1zaGFkb3c6IGluc2V0IDBweCAwcHggMCAxcHggI2ZmZjtcbiAgICBtYXJnaW4tdG9wOiBhdXRvO1xuICAgIGJhY2tncm91bmQtY29sb3I6IHRyYW5zcGFyZW50O1xuICAgIEBpbmNsdWRlIGJyZWFrcG9pbnQodGFibGV0KXtcbiAgICAgICAgdHJhbnNmb3JtOiB0cmFuc2xhdGVZKC0wcmVtKTtcbiAgICAgICAgcGFkZGluZzogMi43NXJlbSAxLjVyZW0gMi43NXJlbTtcbiAgICB9XG4gICAgLmxvZ29ze1xuICAgICAgICBkaXNwbGF5OiBmbGV4O1xuICAgICAgICBqdXN0aWZ5LWNvbnRlbnQ6IHNwYWNlLWJldHdlZW47XG4gICAgICAgIGltZ3tcbiAgICAgICAgICAgIG9iamVjdC1maXQ6IGNvbnRhaW47XG4gICAgICAgIH1cbiAgICB9XG4gICAgLnN0YWdlLWxvZ29ze1xuICAgICAgICBkaXNwbGF5OiBmbGV4O1xuICAgICAgICBmbGV4LWRpcmVjdGlvbjogcm93O1xuICAgICAgICBmbGV4LXdyYXA6IHdyYXA7XG4gICAgICAgIGp1c3RpZnktY29udGVudDogZmxleC1zdGFydDtcbiAgICAgICAgbWFyZ2luLWJvdHRvbTogMXJlbTtcbiAgICAgICAgaW1ne1xuICAgICAgICAgICAgb2JqZWN0LWZpdDogY29udGFpbjtcbiAgICAgICAgICAgIC8vIHdpZHRoOiBhdXRvO1xuICAgICAgICB9XG4gICAgICAgIHNwYW57XG4gICAgICAgICAgICBkaXNwbGF5OiBmbGV4O1xuICAgICAgICAgICAgYWxpZ24taXRlbXM6IGNlbnRlcjtcbiAgICAgICAgICAgIG1hcmdpbi1ib3R0b206IC41cmVtO1xuICAgICAgICAgICAgbWFyZ2luLXJpZ2h0OiAycmVtO1xuICAgICAgICB9XG4gICAgICAgICYucHJlc2VudGluZ3tcbiAgICAgICAgICAgIGltZ3tcbiAgICAgICAgICAgICAgICBtYXgtaGVpZ2h0OiA2MnB4O1xuICAgICAgICAgICAgICAgIFxuICAgICAgICAgICAgfVxuICAgICAgICAgICAgXG4gICAgICAgIH1cbiAgICAgICAgJi5zdXBwb3J0aW5ne1xuICAgICAgICAgICAgaW1ne1xuICAgICAgICAgICAgICAgIG1heC1oZWlnaHQ6IDQ4cHg7XG4gICAgICAgICAgICB9XG4gICAgICAgIH1cbiAgICAgICAgJi5wcm9ncmFtbWluZ3tcbiAgICAgICAgICAgIGltZ3tcbiAgICAgICAgICAgICAgICBtYXgtaGVpZ2h0OiA0MnB4O1xuICAgICAgICAgICAgfVxuICAgICAgICB9XG4gICAgfVxuXG4gICAgLnBhcnRuZXItdGFne1xuICAgICAgICBAZXh0ZW5kICVhbWlrbztcbiAgICAgICAgY29sb3I6ICMwMDAgIWltcG9ydGFudDtcbiAgICAgICAgZGlzcGxheTogYmxvY2s7XG4gICAgICAgIGZvbnQtd2VpZ2h0OiA3MDA7XG4gICAgICAgIGJvcmRlci1ib3R0b206IDJweCBzb2xpZCAjMDAwO1xuICAgICAgICB0ZXh0LXRyYW5zZm9ybTogdXBwZXJjYXNlO1xuICAgICAgICBmb250LXNpemU6IHJlbSgxNnB4KTtcbiAgICAgICAgcGFkZGluZy1ib3R0b206IC4yNXJlbTtcbiAgICAgICAgbWFyZ2luLWJvdHRvbTogMXJlbTtcbiAgICAgICAgd2lkdGg6IDgwJTtcbiAgICB9XG59IiwiICBcbkBtaXhpbiBicmVha3BvaW50KCRwb2ludCwgJGRpcjp0cnVlKSB7XG4gICAgQGlmICRwb2ludCA9PSBsYXJnZS1kZXNrdG9wIHtcbiAgICAgIEBtZWRpYSAobWluLXdpZHRoOiAxNDQwcHgpIHsgQGNvbnRlbnQgOyB9XG4gIH1cbiAgICBAaWYgJHBvaW50ID09IGRlc2t0b3Age1xuICAgICAgQG1lZGlhIChtaW4td2lkdGg6IDEyMDBweCkgeyBAY29udGVudCA7IH1cbiAgIH1cbiAgICBAZWxzZSBpZiAkcG9pbnQgPT0gbGFwdG9wIHtcbiAgICAgIEBtZWRpYSAobWluLXdpZHRoOiA5OTJweCkgeyBAY29udGVudCA7IH1cbiAgIH1cbiAgICAgQGVsc2UgaWYgJHBvaW50ID09IHRhYmxldCB7XG4gICAgICBAbWVkaWEgKG1pbi13aWR0aDogNzY4cHgpIHsgQGNvbnRlbnQgOyB9XG4gICB9XG4gICAgQGVsc2UgaWYgJHBvaW50ID09IHBoYWJsZXQge1xuICAgICAgQG1lZGlhIChtaW4td2lkdGg6IDU3NnB4KSAgeyBAY29udGVudCA7IH1cbiAgIH1cbiAgIEBlbHNlIGlmICRwb2ludCA9PSBtb2JpbGVvbmx5IHtcbiAgICAgIEBtZWRpYSAobWluLXdpZHRoOiAzNjBweCkgYW5kIChtYXgtd2lkdGg6IDU3NnB4KSAgeyBAY29udGVudCA7IH1cbiAgICB9XG4gIEBlbHNlIHtcbiAgICAgIEBpZiAkZGlyID09IGZhbHNlIHtcbiAgICAgICAgQG1lZGlhIChtYXgtd2lkdGg6ICRwb2ludCkgeyBAY29udGVudCA7IH1cbiAgICAgIH1cbiAgICAgIEBlbHNlIHtcbiAgICAgICAgQG1lZGlhIChtaW4td2lkdGg6ICRwb2ludCkgeyBAY29udGVudCA7IH1cbiAgICAgIH1cbiAgfVxufSAgICIsIiRzZWNvbmRhcnk6ICM1MDM0RkE7XG4kdHVycXVvaXNlOiAjMUJDQkI2O1xuJHllbGxvdzogI0ZCQjMxNTtcbiRyZWQ6ICNGRjAwMDA7XG4vLyAkcmVkOiAjRjExMTFBO1xuJGdyZXk6ICMyNDI2MkI7XG4kYmxhY2s6ICMxMjEyMTI7XG4kbGluazogIzUwMzRGQTtcblxuJGVsZXZhdGUtZ3JleS05MDogIzE4MTgxQTtcbiRlbGV2YXRlLWdyZXktODA6ICM0YjRiNGI7XG4kZWxldmF0ZS1ncmV5LTcwOiAjOTQ5NTk3O1xuJGVsZXZhdGUtZ3JleS02MDogI0M1QzZDODtcbiRlbGV2YXRlLWdyZXktNTA6ICNFQkVDRUQ7XG4kZWxldmF0ZS1ncmV5LTQwOiAjRjJGMkYyO1xuJGVsZXZhdGUtZ3JleS0zMDogI0Y2RjZGNjtcbiRlbGV2YXRlLWdyZXktMjA6ICNGQkZCRkI7XG5cbiR3ZWxsYmVpbmc6ICM3NTIyRkE7XG4kc3VzdGFpbmFiaWxpdHk6ICMxRTQ4Mzk7XG4kZXF1YWxpdHkgOiAjRjA0QzAwO1xuIl0sIm5hbWVzIjpbXSwic291cmNlUm9vdCI6IiJ9*/
